# Function parallelEach

- parallelEach<T, U>(values, iterator): Promise<void>

- Same as each, except that the elements are processed in parallel rather than sequentially.

  #### Type Parameters

  - T
  - U

  #### Parameters

  - values: Iterable<T | PromiseLike<T>, any, any> | PromiseLike<Iterable<T | PromiseLike<T>, any, any>>

    The array of values to iterate over.

  - iterator: ((item: T, index: number) => U | PromiseLike<U>)

    The iterator function to apply to each element.

    - - (item, index): U | PromiseLike<U>

      - #### Parameters

        - item: T
        - index: number

        #### Returns U | PromiseLike<U>

  #### Returns Promise<void>